=== cdrecord/CMakeLists.txt ===
PROJECT (CDRECORD)
INCLUDE_DIRECTORIES(../include . ${CMAKE_BINARY_DIR})

AUX_SOURCE_DIRECTORY(. CDRECORD_SRCS)

FIND_LIBRARY(CAPTEST cap)
if(CAPTEST) 
   set(CAPLINK cap)
endif(CAPTEST)

LINK_DIRECTORIES(../libschily ../libscg ../libdeflt)
ADD_EXECUTABLE (wodim ${CDRECORD_SRCS})
TARGET_LINK_LIBRARIES(wodim scg schily deflt ${CAPLINK})
SET_TARGET_PROPERTIES(wodim PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS wodim DESTINATION bin)
INSTALL(FILES 
   wodim.1
DESTINATION share/man/man1)
