=== debian/changelog ===
cdrkit (5:1.0~pre2-1) unstable; urgency=low

  * Restored the build system of zisofs-tools and changed to its use in
    debian/rules. It is a separate project with a mature build system while
    the replacement would need improvements to keep up.

 -- Eduard Bloch <blade@debian.org>  Mon,  4 Sep 2006 01:24:22 +0200

cdrkit (5:1.0~pre1-1) unstable; urgency=low

  [ Eduard Bloch ]
  * dropped the shm build (kernel 2.2 is history)
  * dropped dpatch integration, we are the upstream now
  * disabled debconf messages and device-creating code for now
    (closes: #326138, #314139); things like hints to create device files are
    essential for only few people and can equaly be presented as program
    messages. Why shall we still MAKEDEV them?  It's not like we have switched
    to kernel 2.0.1 yesterday (closes: #342085, #188827, #200665)
  * updated Build-Dependencies for kfreebsd (closes: #355291)
  * debian/copyright got uptodate mail address for Schilling (closes: #372484)

  [ Eduard Bloch, upstream related changes ] 
  * The Big Fork to an independent project called cdrkit
    + using the last clearly stated GPLed versions of files from
      cdrtools-2.01.01a08 (closes: #353403, #372486)
    + we play the upstream role now, using our patches and we like them
      (closes: #361450)
    + renamed relevant works to avoid claims of "potential defamation" or
      "damage of reputation" (closes: #350738)
    + custom CMake based build system used instead of the original one, since
      we understand it better (closes: #350739 and hopefully closes: #350254,
      reopen if not). It seems to be portable among the platforms
      supported by Debian, it needs a bit of work for porting to non-Linux
      plattforms, though.
  * removed most of the anti-linux2.6  program messages (unless being
    in verbose mode). (closes: #377145)
  * changed default config file location to /etc/default/wodim
  * added more meaningful error message on -dvd-video failure (closes: #324586)
  * minor cdda2mp3/cdda2ogg scripts fixes suggested by Fabian Pietsch, plus
    fixes for unreliable encoder detection (closes: #283794, #344443) plus
    possible override of preset CDDA_DEVICE variable fixed. Made the list of
    selected audiotracks modifiable, see manpage (closes: #344445)
  * sync with 4:2.01+01a01-4ubuntu4:
    + merged README.ATAPI.setup with README.ATAPI.setup.ubuntu. Kernel 2.6 part
      now in the beginning and reflecting the reality (dev=/dev/drive syntax,
      no SUID requirement, closes: #304230, #377736)
    + 02_cdrecord_default_conf.dpatch: changed /dev/cdrom to /dev/cdrw which
      is more likely to match the correct device on udev using systems
  * 36_ATA_scanbus_ignore_locked.dpatch to ignore busy devices (eg. hda
    harddisk) while scanning with dev=ATA 
    (closes: #310689, #309250, #317793, #360295, 
  * Included 37_clean_dvdsup.dpatch (closes: #312062) based on
    cdrtools-2.01.01a04-dvd.patch.bz2 from
    http://people.mandriva.com/~warly/files/cdrtools/ with few updates to work
    with a08. Also implements a fallback to ATA: bus in the -scanbus operation
    (closes: #310689, #278894). This patch is used instead of the old 07_....
    Enabled permanently, disabled the "cheatcode processing" in debian/rules.
    Also eliminates some useability problems that have been pushed to our
    users (closes: #325766, #271114, #312062, #353176).
  * Updated dirsplit to version 0.3.3, zisofs-tools to 1.0.7 (with a custom
    CMakeFile.txt for easier integration and config.h updated manually for
    now)
  * minor cdda2mp3/cdda2ogg scripts fixes suggested by Fabian Pietsch, plus
    fixes for unreliable encoder detection (closes: #283794, #344443) plus
    possible override of preset CDDA_DEVICE variable fixed
  * added additional script manpages from Oleksandr Moskalenko (closes: #295438)
  * changed -speed to speed= in cdrecord.1 for consistency (closes: #344214)
  * Anti-Root-Requirements:
    + 39_nonroot_skips_rezero_unit.dpatch - don't run rezero_unit() as root
    which is a) most likely not needed (even admited in the comment) and b)
    causes the whole scsi transport system to terminate
    + 40_stop_setuid_games.dpatch - another workaround for problems introduced
    in a03 - looks like Linux kernel does reject an application trying to
    change the UID between ioctls
    (closes: #335253, #374685, #330506, #329308, #374345, #377421)
  * Ubuntu's 40_fix_bad_spelling.dpatch integrated (typo in wodim.dfl)
  * increased hash size in mkisofs/hash.c (closes: #327270)
  * more decent info message about locale detection

  [ Joerg Jaspert]:
  * Make build-depends on cmake versioned, to show backporters we need a recent one.
  * Bump build-depends on debhelper.
  * Kill old conflict on xcdroast, that version is no longer in Debian
  * Added a dummy cdrecord package to ease upgrades for our users. Will get removed
    some time after etch released.
  * Cleaned debian/rules a bit.
  * wodim.links: s/cdrecord/wodim/
  * Let cdrkitt-doc conflict/replace old cdrtools-doc
  * Cleaned up postinst for wodim and removed makedev dependency.
  * debhelper level 5, Policy version 3.7.2
  * Moved all buildstamps into the build/ dir
  * Dropped old install-save[d] targets.
  * No more debconf (Closes: #361776, #379992, #381954)

  [ Steve McIntyre]:
  * Minor spelling/English fixes

 -- Joerg Jaspert <joerg@debian.org>  Sun,  3 Sep 2006 22:50:24 +0200

cdrtools (4:2.01+01a03-5) unstable; urgency=low

  * Fixed the buffer size patch to cope with large ia64 page size - will
    now no longer crash at cdrecord startup. Closes: #343666.
  * Applied patch for ultra-high-speed media compatibility.
    Closes: #334677, #339423.

 -- Steve McIntyre <93sam@debian.org>  Sat,  7 Jan 2006 03:21:23 +0000

cdrtools (4:2.01+01a03-4) unstable; urgency=low

  * Updated debconf dependency to allow debconf-2.0 option.
    Closes: #331772
  * Updated Linux RAWIO patch so it doesn't break GNU/kFreeBSD

