=== debian/control ===
Source: cdrkit
Priority: optional
Section: otherosfs
Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>=5.0.37.3), zlib1g-dev, autotools-dev, cmake (>= 2.4.3-1), libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libcam-dev [kfreebsd-i386 kfreebsd-amd64], libmagic-dev
Standards-Version: 3.7.2

Package: wodim
Architecture: any
Depends: ${shlibs:Depends}
Recommends: mkisofs
Replaces: cdrtools-doc (<< 5:1.0~pre1-0), cdrecord (<< 5:1.0~pre1-0)
Suggests: cdrkit-doc
Conflicts: cdrecord (<< 5:1.0~pre1-1)
Description: command line CD writing tool
 wodim allows you to create CDs on a CD recorder.
 It supports writing data, audio, mixed, multi-session, and CD+
 discs, on just about every type of CD recorder out there.
 .
 Please install cdrkit-doc if you want most of the documentation and
 Readme-files.

Package: cdrecord
Architecture: all
Depends: wodim (>= 5:1.0~pre1-1), debconf | debconf-2.0
Description: Dummy package for transition to wodim
 This is a dummy package to ease the transition to wodim, the fork
 of cdrecord. Please use wodim instead of cdrecord.
 It provides a cdrecord symlink to wodim for compatibility purposes.

Package: mkisofs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wodim, cdrkit-doc
Conflicts: mkhybrid
Description: Creates ISO-9660 CD-ROM filesystem images
 mkisofs is a pre-mastering program for creating ISO-9660 CD-ROM 
 filesystem images, which can then be written to a CD-ROM (or DVD-ROM) using
 the wodim program. mkisofs now includes support for making bootable 
 "El Torito" CD-ROMs, as well as CD-ROMs with support for the
 Macintosh HFS filesystem.
 .
 The package also includes tools needed to create compressed isofs images
 (mkzftree from zisofs_tools source).
 .
 Please install cdrkit-doc if you want most of the documentation and
 Readme-files.

Package: cdda2wav
Architecture: any
Suggests: vorbis-tools, cdrkit-doc
Depends: ${shlibs:Depends}
Section: sound
Description: Creates WAV files from audio CDs
 cdda2wav lets you digitally copy audio tracks from a CD-ROM, avoiding
 the distortion that is introduced when recording via a sound card. Data 
 can be dumped into raw (cdr), wav or sun format sound files. Options control
 the recording format (stereo/mono; 8/16 bits; sampling rate, etc).
 .
 Please install cdrkit-doc if you want most of the documentation and
 Readme-files.

Package: cdrkit-doc
Architecture: all
Section: doc
Replaces: cdrtools-doc
Conflicts: cdrtools-doc
Suggests: wodim, mkisofs, cdda2wav
Description: Documentation for the cdrkit package-suite
 This is the documentation for the cdrkit package-suite, namely
 wodim, mkisofs and cdda2wav.
